Results 1 to 5 of 5
Discuss 3GS 3.0.1 - Possible To Upgrade & JB / Unlock? at the iPhone 3GS - Hackint0sh.org; Hi all. I've been out of the iPhone hacking world for a good 4mths and ...
  1. #1
    Newbie Array 356Speedster's Avatar

    Join Date
    Dec 2009
    Posts
    4
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default 3GS 3.0.1 - Possible To Upgrade & JB / Unlock?

    Hi all. I've been out of the iPhone hacking world for a good 4mths and I feel very left behind & bewildered now! My current setup is:

    iPhone 3GS, F/W 3.0.1, S/N starting 88936...., Modem 04.26.08, all UNLOCKED & JAILBROKEN on Orange in the UK.

    Lately I've wanted to install some apps, but they're asking for F/W 3.1 or above, but I'm damned if I can find a straight anwser to the safe upgrade question!! Can anyone here help?

    I would like to upgrade my F/W (don't mind if it's 3.1 or 3.1.2), BUT I must be able to retain a 100% safe unlock to stay on Orange. A JB would be nice, but not essential and I need to be able to switch my phone on & off without it needing some weird hack to get it going again!

    Is this possible at all? I see some folks are saying iTunes will only let you put F/W 3.1.3 on the 3GS now.... has this stopped any kind of unlock / hack?

    Thanks for your advice!



  2. #2
    Super Moderator Array n1ckn4m3's Avatar

    Join Date
    Mar 2009
    Location
    USA
    Posts
    2,717
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    145

    Default

    Only safe upgrade is to use Pwnage tool -- do not use blackra1n, do not use any of the other tools. Use pwnage to create a pwned 3.1.3 and use pwnage to flash the device. Anything else risks your jailbreak or unlock.

    Using Pwnage on the 3.1.3 should get you upgraded to 3.1.3 with your original baseband and should not threaten your unlock. Also, since you have the older BootROM, you should be fine with the untethered jailbreak.

  3. #3
    Newbie Array 356Speedster's Avatar

    Join Date
    Dec 2009
    Posts
    4
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Thanks for the feedback, but from what I've found Pwnage 3.1.5 (for OS 3.1.3) only works on a Mac... I should have said I only have a Win7 PC! It doesn't look like the Pwnage tool has been compatable with Windows for quite some time.... unless I'm wrong?

    I found this link which talks of using Sn0wbreeze, but I'm not sure if it's a working tool: Jailbreak iPhone 3.1.3 with Sn0wbreeze | Redmond Pie

    Any ideas anyone?

  4. #4
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by 356Speedster View Post
    Thanks for the feedback, but from what I've found Pwnage 3.1.5 (for OS 3.1.3) only works on a Mac... I should have said I only have a Win7 PC! It doesn't look like the Pwnage tool has been compatable with Windows for quite some time.... unless I'm wrong?

    I found this link which talks of using Sn0wbreeze, but I'm not sure if it's a working tool: Jailbreak iPhone 3.1.3 with Sn0wbreeze | Redmond Pie
    Sn0wbreeze is not something we support on this forum. The reports have been very mixed on sn0wbreeze and other tools from ih8sn0w. People have screwed up their iPhones due to poor testing / beta releases.

    Plus there are some unresolved questions about the legality of ih8sn0w's tools. They use dev team's code in a way that violates the license the code is released under. Plus they distribute apple binary files (big no no) in sn0wbreeze. Some of these issues may have been resolved now, but the current stance is. No support for these tools on this forum.

    Saying that, as long as you have old bootrom (which you do) and are already jailbroken, you can restore custom ipsw created with pwnagetool by someone else.

    Again it is against the rules of the forum to link to such modified apple binary files as custom ipsw. However if you can find a friend to make you a custom ipsw (or google for one that someone has posted, you can restore that)
    You need a custom ipsw that is pre-activated and preferably one that disables baseband update. All custom ipsw made with pwnagetool for 3G and 3GS from 3.1 and higher disable baseband update.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

  5. #5
    Newbie Array 356Speedster's Avatar

    Join Date
    Dec 2009
    Posts
    4
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Quote Originally Posted by Olethros View Post
    Sn0wbreeze is not something we support on this forum. The reports have been very mixed on sn0wbreeze and other tools from ih8sn0w. People have screwed up their iPhones due to poor testing / beta releases.

    Plus there are some unresolved questions about the legality of ih8sn0w's tools. They use dev team's code in a way that violates the license the code is released under. Plus they distribute apple binary files (big no no) in sn0wbreeze. Some of these issues may have been resolved now, but the current stance is. No support for these tools on this forum.

    Saying that, as long as you have old bootrom (which you do) and are already jailbroken, you can restore custom ipsw created with pwnagetool by someone else.

    Again it is against the rules of the forum to link to such modified apple binary files as custom ipsw. However if you can find a friend to make you a custom ipsw (or google for one that someone has posted, you can restore that)
    You need a custom ipsw that is pre-activated and preferably one that disables baseband update. All custom ipsw made with pwnagetool for 3G and 3GS from 3.1 and higher disable baseband update.
    Thank you very much for your comments, I think that shows both how long I've been away from the iPhone community and just how complicated it has become out there!

    I'm not sure I'd trust my phone with a Google sourced IPSW, but there is a chance that I could find a friend with a Mac and follow the normal Pwnage Tool (3.1.5) route to get an upgrade.

    That should keep me "current" long enough to get to June when I think O2 will unlock my phone (PAYG phone, 1yr old in the summer).

    Many thanks!


 

 

Similar Threads

  1. Replies: 3
    Last Post: 08-24-2008, 12:45 PM
  2. [Upgrade]OTB 1.1.2 Upgrade to 1.1.4 W/O Unlock/Activate/Jailbreak
    By Allingby in forum iPhone "2G" (Rev. 1)
    Replies: 2
    Last Post: 05-13-2008, 10:36 AM
  3. Replies: 3
    Last Post: 03-08-2008, 10:57 AM
  4. Replies: 1
    Last Post: 02-08-2008, 04:43 PM
  5. [1.1.3] Jailbreak/Upgrade, does 1.1.2u unlock Survive upgrade?
    By mdfreeman in forum iPhone "2G" (Rev. 1)
    Replies: 5
    Last Post: 01-25-2008, 04:27 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 09:53 PM.
twitter, follow us!